<?php require_once 'config.php';

/* 
AssetTrackDB Copyright (C) 2013  Tyler Krehbiel (tylerk@gmail.com) 

This file is part of AssetTrackDB. 

AssetTrackDB is free software: you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, or 
(at your option) any later version. 

AssetTrackDB is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
GNU General Public License for more details. 

You should have received a copy of the GNU General Public License 
along with AssetTrackDB.  If not, see <http://www.gnu.org/licenses/>. 
*/ 

$mysql_error = '0'; 
$mysql_error_table = '0'; 
$mysql_e1 = '0'; 

echo "<html>"; 
echo "<head><title>AssetTrackDB</title><script src='sorttable.js'></script><link rel='stylesheet' type='text/css' href='mystyle.css'/>"; 
echo '<link rel="icon" href="favicon.ico" type="image/x-icon">'; 
echo "</head>";
echo "<body class=\"page_bg\">"; 


//--START Menu Code and PULL PHP 
include 'includes/menu.php'; 
include 'includes/pull.php'; 
//--END Menu Code-- 



//DEFINE THE SQL COMMANDS 
//INSERT NEW TABLE 
$sql = 'CREATE TABLE IF NOT EXISTS `settings` ( 
  `dbversion` varchar(25) COLLATE utf8_unicode_ci NOT NULL, 
  UNIQUE KEY `dbversion` (`dbversion`) 
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;'; 
//0.9.9.4+ 
$sql1 = 'ALTER TABLE `searches` ADD UNIQUE (`f_name`);'; 
//0.9.9.4+ 
$sql2 = 'ALTER TABLE `multisearch` ADD UNIQUE (`f_name`);'; 
//0.9.9.4+ 
$sql3 = 'ALTER TABLE `members` ADD `sadmin` TINYINT NOT NULL;'; 
//0.9.9.4+ 
$sql4 = 'ALTER TABLE `asset` ADD `custom1` VARCHAR( 255 ) NOT NULL,  ADD `custom2` VARCHAR( 255 ) NOT NULL;'; 
//0.9.9.4+ 
$sql5 = 'ALTER TABLE `member_prefs` ADD `custom1` TINYINT( 1 ) NOT NULL, ADD `custom2` TINYINT( 1 ) NOT NULL;'; 
//0.9.9.4+ 
$sql5A = "CREATE TABLE IF NOT EXISTS `disposed` (`bar_code` int(4) DEFAULT NULL,`name` varchar(25) DEFAULT NULL,`creation_date` varchar(19) DEFAULT NULL,`serial` varchar(30) DEFAULT NULL,`model` varchar(35) DEFAULT NULL,`brand` varchar(25) DEFAULT NULL,`owner` varchar(25) DEFAULT NULL,`form` varchar(15) DEFAULT NULL,`use1` varchar(15) DEFAULT NULL,`notes` text,`os` varchar(25) DEFAULT NULL,`pdate` date DEFAULT NULL,`co_status` tinyint(1) NOT NULL,`produkey` varchar(29) NOT NULL,`createdby` varchar(19) NOT NULL,`updatetime` varchar(19) NOT NULL,`updateby` varchar(19) NOT NULL,`vendor` varchar(25) NOT NULL,`funding` varchar(25) NOT NULL,`cost` varchar(10) NOT NULL,`ddate` date NOT NULL,`custom1` varchar(255) NOT NULL,`custom2` varchar(255) NOT NULL, `dreason` varchar(55) NOT NULL, UNIQUE KEY `serial` (`serial`), UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;"; 
//0.9.9.7+ 
$sql6 = 'ALTER TABLE `tracker` ADD `cond_out` VARCHAR( 255 ) NOT NULL;'; 
//0.9.9.7+ 
$sql7 = 'ALTER TABLE `tracker` ADD `cond_in` VARCHAR( 255 ) NOT NULL;'; 
//0.9.9.7+ 
$sql8 = 'ALTER TABLE `disposed` ADD `dreason` VARCHAR( 55 ) NOT NULL;'; 
//0.9.9.9 
$sql9 = 'ALTER TABLE `member_prefs` ADD `menup` TINYINT( 1 ) NOT NULL;'; 
//R4 
$sql10 = 'ALTER TABLE `room` CHANGE `roomnumber` `roomnumber` VARCHAR( 30 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;'; 
//R4 
$sql11 = "INSERT INTO `searches` (`f_name`, `name`, `type`) VALUES ('Not Checked Out', '\"0\"', 'co_status'), ('Checked Out', '1', 'co_status');"; 
//R5 
$sql12 = "ALTER TABLE `member_prefs` ADD `co_user` TINYINT( 1 ) NOT NULL DEFAULT '1';"; 
//R6 
$sql13 = 'CREATE TABLE IF NOT EXISTS `member_history` ( 
  `member` varchar(50) NOT NULL, 
  `date` date NOT NULL, 
  `time` time NOT NULL, 
  `action` varchar(11) NOT NULL, 
  `index` int(11) NOT NULL AUTO_INCREMENT, 
  `ipadd` varchar(45) NOT NULL, 
  `ipfor` varchar(45) NOT NULL, 
  `valid` varchar(3) NOT NULL, 
  PRIMARY KEY (`index`), 
  KEY `index` (`index`) 
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;'; 

//R9 
$sql14 = "ALTER TABLE `asset` ADD PRIMARY KEY(`serial`);"; 
$sql15 = "ALTER TABLE `tracker` ADD INDEX ( `serial` );"; 
$sql16 = "ALTER TABLE asset DROP INDEX serial;"; 
$sql17 = "ALTER TABLE `member_prefs` ADD `defaultbuilding` INT NOT NULL;"; 
$sql18 = "ALTER TABLE `member_prefs` CHANGE `defaultbuilding` `defaultbuilding` VARCHAR( 255 ) NOT NULL;"; 
$sql19 = "ALTER TABLE  `settings` ADD  `updatecheck` BOOLEAN NOT NULL DEFAULT  '1';"; 

//R10 
$sql20 = "ALTER TABLE  `asset` ADD  `phyloc` INT;"; 
$sql21 = "ALTER TABLE `member_prefs` ADD `phyloc` TINYINT NOT NULL;"; 
$sql22 = "ALTER TABLE  `asset` CHANGE  `form`  `form` VARCHAR( 50 ) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL;"; 
$sql23 = "ALTER TABLE  `asset_retired` CHANGE  `form`  `form` VARCHAR( 50 ) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL;"; 
$sql24 = "ALTER TABLE  `disposed` CHANGE  `form`  `form` VARCHAR( 50 ) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL;"; 
$sql25 = "ALTER TABLE `member_prefs` ADD `tsize` INT NOT NULL;"; 



//R12
$sql26 = 'CREATE TABLE IF NOT EXISTS `dates` ( 
  `number` int(10) NOT NULL AUTO_INCREMENT, 
  `sdate` date NOT NULL, 
  `edate` date NOT NULL, 
  PRIMARY KEY (`number`), 
  UNIQUE KEY `number` (`number`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;'; 

//R13
$sql27 = 'ALTER TABLE `settings` ADD `stracking` TINYINT NOT NULL ;';
$sql28 = 'ALTER TABLE `asset` ADD `strack` TINYINT( 1 ) NOT NULL ;';
$sql29 = 'CREATE TABLE IF NOT EXISTS `stracking` (
  `serial` varchar(30) NOT NULL,
  `gan` varchar(200) NOT NULL,
  `sgn` varchar(200) NOT NULL,
  `gayear` int(4) NOT NULL,
  `titleholder` varchar(50) NOT NULL,
  `fedpar` int(2) NOT NULL,
  UNIQUE KEY `serial` (`serial`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;';
$sql30 = "ALTER TABLE `asset_retired` ADD `strack` TINYINT( 1 );";

//R14
$sql31 = "ALTER TABLE  `settings` ADD  `visualenable` TINYINT( 1 ) NOT NULL DEFAULT  '0';";
$sql32 = "CREATE TABLE IF NOT EXISTS `visual` (
  `name` varchar(15) NOT NULL,
  `hcolor1` varchar(7) NOT NULL,
  `hcolor2` varchar(7) NOT NULL,
  `bcolor` varchar(7) NOT NULL,
  `bcolor2` varchar(7) NOT NULL,
  `bborder` varchar(7) NOT NULL,
  `abcolor` varchar(7) NOT NULL,
  `abcolor2` varchar(7) NOT NULL,
  `abborder` varchar(7) NOT NULL,
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;";
$sql33 = "INSERT INTO `visual` (`name`, `hcolor1`, `hcolor2`, `bcolor`, `bcolor2`, `bborder`, `abcolor`, `abcolor2`, `abborder`) VALUES ('C1', '#6699FF', '#6E7BEF', '#FF722B', '#EFBB54', '#d5894b', '#FF0000', '#EFBB54', '#d5894b');";



echo "<br><center>";


if(!empty($_GET["ver"])) {

 $ver = $_GET["ver"];

} 
else 
{ 
   $ver = ''; 
  } 

if ($ver==''){ //IF EMPTY RUN ALL (PRE-Database version recording) 
    $exe = mysqli_query($_SESSION["link"],  $sql )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql1 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql2 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql3 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql4 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql5 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql6 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql7 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql8 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql9 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql10 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql11 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql12 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql13 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql14 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql15 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql16 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql17 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql18 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql19 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql20 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql21 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql22 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql23 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql24 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql25 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql26 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql27 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql28 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql29 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql30 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql31 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql32 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql33 )or $mysql_error_table = 1;
    
    $sql = "INSERT INTO settings (dbversion) VALUES('$updateversion') ;";
    $exe = mysqli_query($_SESSION["link"],  $sql )or $mysql_e1 = 1;
    

    } 
 elseif($ver == 'R2'){ 
     $exe = mysqli_query($_SESSION["link"],  $sql9 )or $mysql_error_table = 1; 
     $exe = mysqli_query($_SESSION["link"],  $sql10 )or $mysql_error_table = 1; 
     $exe = mysqli_query($_SESSION["link"],  $sql11 )or $mysql_error_table = 1; 
     $exe = mysqli_query($_SESSION["link"],  $sql12 )or $mysql_error_table = 1; 
     $exe = mysqli_query($_SESSION["link"],  $sql13 )or $mysql_error_table = 1; 
     $exe = mysqli_query($_SESSION["link"],  $sql14 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql15 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql16 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql17 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql18 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql19 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql20 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql21 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql22 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql23 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql24 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql25 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql26 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql27 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql28 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql29 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql30 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql31 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql32 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql33 )or $mysql_error_table = 1;
 } 
 elseif($ver == 'R3'){ 
     $exe = mysqli_query($_SESSION["link"],  $sql10 )or $mysql_error_table = 1; 
     $exe = mysqli_query($_SESSION["link"],  $sql11 )or $mysql_error_table = 1; 
     $exe = mysqli_query($_SESSION["link"],  $sql12 )or $mysql_error_table = 1; 
     $exe = mysqli_query($_SESSION["link"],  $sql13 )or $mysql_error_table = 1; 
     $exe = mysqli_query($_SESSION["link"],  $sql14 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql15 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql16 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql17 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql18 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql19 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql20 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql21 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql22 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql23 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql24 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql25 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql26 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql27 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql28 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql29 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql30 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql31 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql32 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql33 )or $mysql_error_table = 1;
 } 
 elseif($ver == 'R4'){ 
    $exe = mysqli_query($_SESSION["link"],  $sql12 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql13 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql14 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql15 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql16 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql17 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql18 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql19 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql20 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql21 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql22 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql23 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql24 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql25 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql26 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql27 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql28 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql29 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql30 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql31 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql32 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql33 )or $mysql_error_table = 1;
 } 
 elseif($ver == 'R5'){ 
    $exe = mysqli_query($_SESSION["link"],  $sql13 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql14 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql15 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql16 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql17 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql18 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql19 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql20 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql21 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql22 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql23 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql24 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql25 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql26 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql27 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql28 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql29 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql30 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql31 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql32 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql33 )or $mysql_error_table = 1;
 } 
 elseif($ver == 'R6'){ 
    $exe = mysqli_query($_SESSION["link"],  $sql14 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql15 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql16 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql17 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql18 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql19 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql20 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql21 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql22 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql23 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql24 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql25 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql26 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql27 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql28 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql29 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql30 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql31 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql32 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql33 )or $mysql_error_table = 1;
 } 
 elseif($ver == 'R9'){ 
    $exe = mysqli_query($_SESSION["link"],  $sql20 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql21 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql22 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql23 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql24 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql25 )or $mysql_error_table = 1; 
    $exe = mysqli_query($_SESSION["link"],  $sql26 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql27 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql28 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql29 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql30 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql31 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql32 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql33 )or $mysql_error_table = 1;
 } 
  elseif($ver == 'R10'){
    $exe = mysqli_query($_SESSION["link"],  $sql26 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql27 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql28 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql29 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql30 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql31 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql32 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql33 )or $mysql_error_table = 1;
 } 
   elseif($ver == 'R12'){
    $exe = mysqli_query($_SESSION["link"],  $sql27 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql28 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql29 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql30 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql31 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql32 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql33 )or $mysql_error_table = 1;
 }
    elseif($ver == 'R13'){
    $exe = mysqli_query($_SESSION["link"],  $sql31 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql32 )or $mysql_error_table = 1;
    $exe = mysqli_query($_SESSION["link"],  $sql33 )or $mysql_error_table = 1;
 }

 else
 { 
  exit; 
 } 





$sql = "UPDATE settings SET dbversion = '$updateversion' WHERE dbversion =  '$ver';";
$exe = mysqli_query($_SESSION["link"],  $sql )or $mysql_e1 = 1; 


//if (mysql_affected_rows() > 0) { 
//} 
//else { 
// 
// 
//      $sql = "INSERT INTO settings (dbversion) VALUES('R10');"; 
//      $exe = mysql_query( $sql )or $mysql_e1 = 1; 
//} 



if ($mysql_error == '0'){ 
        echo "<div STYLE='font-size:22px;'>Successfully Updated Database Version</div>"; 
        $q = mysqli_query($_SESSION["link"], "SELECT dbversion FROM settings"); 
        $dbversion = mysqli_fetch_array( $q ); 
        echo "<br>"; 
        echo "<div STYLE='font-size:15px;'>Database Updated to: $dbversion[0]</div>";

} 
else{ 

$q = mysqli_query($_SESSION["link"], "SELECT dbversion FROM settings");
$dbversion = mysqli_fetch_array( $q );


echo "<div STYLE='font-size:22px;'>Database is Current</div>"; 
echo "<br>"; 
echo "<div STYLE='font-size:15px;'>Database Version: $dbversion[0]</div>"; 

} 


?>