<?php require_once 'config.php';

/*
AssetTrackDB Copyright (C) 2013  Tyler Krehbiel (tylerk@gmail.com)

This file is part of AssetTrackDB.

AssetTrackDB is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

AssetTrackDB is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with AssetTrackDB.  If not, see <http://www.gnu.org/licenses/>.
*/

echo "<html><head><title>AssetTrackDB - Setup</title><script src='sorttable.js'></script><link rel='stylesheet' type='text/css' href='mystyle.css'/>";
echo '<link rel="icon" href="favicon.ico" type="image/x-icon">';
echo "</head><body>";

//--START Menu Code and PULL PHP
include 'includes/menu.php';
include 'includes/pull.php';
//--END Menu Code--

//Disallow Read-Only Users Access to this page
if($rostate==1)
    { 
    	echo "<br><center><div id=err>Read Only User: You do not have access to this page</div></center>";
    }
else {

echo "<center>";
echo "<h3>Check In / Check Out Import</h3>";

echo '<table width=800 border=0><tr><td>';
echo '<div id=>Importing current or past asset check Ins/Outs is possible using the templates below.<br><br> The first template, <b>CurrentCO.csv</b> is for assets where you want to import their current check out information.</div>';
echo '<div><b>NOTE:</b> The assets in the CurrentCO template must NOT be currently checked out in AssetTrackDB, the system will import their information from the template and check them out using the information provided.</div>';
echo '<br><div>The second template <b>PastCO.csv</b> is for importing check out information that has been completed already (asset has already been checked out and checked back in).</div>';
echo '<br><div>Both templates require the building be imported using its database number, these are listed below.</div>';
echo "<div>Do not delete the labels or descriptions, they will both be ignored during the import.</div>";
echo '</td></tr></table><br>';



echo "<table borer=1><tr>";
echo '<td width=250 height=4 valign="top"><center><a target="_top" href="CurrentCO.csv" style="text-decoration:none"><div class=fancybutton style="width: 290px; font-weight: normal; font-size: 110%; height:22;overflow:auto;"><b>Download the Current CO Template</b></div></a></center></td>';
echo "</tr></table>";
echo "<table borer=1><tr>";
echo '<td width=250 height=4 valign="top"><center><a target="_top" href="PastCO.csv" style="text-decoration:none"><div class=fancybutton style="font-weight: normal; font-size: 110%; height:22;overflow:auto;"><b>Download Past CO Template</b></div></a></center></td>';
echo "</tr></table>";


//echo "<a href=import.csv><u>Download the Import Template</u></a>";
echo '<br>';
echo '<br>';


echo '<br><br>';
echo '<table border=0><tbody><tr>';
echo '<form method="post" action="import_r.php" enctype="multipart/form-data" name="form1">';
echo '<td style="text-align: center; background-color: #8A98F3;"><b>File:</b></td>';
echo '<td><input type="file" name="file" id="file"></td>';
echo '</tr><tr>';
echo '</tr></tbody></table>';

echo "<input type='hidden' value='no' name='Confirm' class='fancybuttonL'>";
echo "<input type='hidden' value='yes' name='cico' class='fancybuttonL'>";
echo "<br><input type='submit' value='Upload' name='submit' class='fancybuttonL'>";
echo '</form><br><br>';

//Buildings
echo "<br><br><h3>Building Numbers</h3>";
$qb = "SELECT * FROM building";
$result = mysqli_query($_SESSION["link"], $qb);

echo "<center><table border=0 cellpadding=5><th class='std'>Name</th><th class='std'>Number</th>";
$cnt = '0';
while($row = mysqli_fetch_array( $result )) {
           $bname = $row['name'];
           $numb = $row['number'];
           if($cnt&1){
           echo "<tr><td>" . $bname . "</td><td><center>" . $numb . "</td></tr>";
           }
           else{
           echo "<tr style='background-color: rgb(197,207,247);'><td>" . $bname . "</td><td><center>" . $numb . "</td></tr>";
           }
           $cnt++;

}
echo '</table>';
//END Buildings



}
echo "<br><br><br><br>";
include 'footer.php';
echo '</center></center>';
include 'includes/userinfo.php';
echo "</body>";
echo "</html>";

?>
